using DataSharing.Share.Enums;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace DataSharing.HotlineWeb
{
    /// <summary>
    /// 用户操作日志
    /// </summary>
    [Description("系统设置表")]
    public class UserOperationLog : CreationEntity
    {
        /// <summary>
        /// 操作数据ID
        /// </summary>
        [SugarColumn(ColumnDescription = "操作数据ID")]
        public string DataId { get; set; }

        /// <summary>
        /// 操作数据ID
        /// </summary>
        [SugarColumn(ColumnDescription = "操作数据ID")]
        public string NewDataId { get; set; }

        /// <summary>
        /// 平台名称
        /// </summary>
        [SugarColumn(ColumnDescription = "平台名称")]
        public EPlatformSource PlatformSource { get; set; } = EPlatformSource.Province;

        /// <summary>
        /// 接收接口名称
        /// </summary>
        [SugarColumn(ColumnDescription = "接收接口名称", ColumnDataType = "varchar(100)")]
        public string? ReceiveServiceInterface { get; set; }

        /// <summary>
        /// 请求地址
        /// </summary>
        [SugarColumn(ColumnDescription = "请求地址")]
        public string? Path { get; set; }

        /// <summary>
        /// 组装参数
        /// </summary>
        [SugarColumn(ColumnDataType = "text", ColumnDescription = "组装参数")]
        public string? RequestData { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "用户ID")]
        public string? UserId { get; set; }

        /// <summary>
        /// 用户姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "用户姓名")]
        public string? UserName { get; set; }

        /// <summary>
        /// 部门Code
        /// </summary>
        [SugarColumn(ColumnDescription = "部门Code")]
        public string? OrgCode { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        [SugarColumn(ColumnDescription = "部门名称")]
        public string? OrgName { get; set; }
    }
}
